classification
Title: API to clear most free lists
Type: Stage:
Components: Interpreter Core Versions: Python 2.6
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: Nosy List: amaury.forgeotdarc, brett.cannon, christian.heimes, ronaldoussoren
Priority: normal Keywords: patch

Created on 2008-02-06 14:48 by christian.heimes, last changed 2009-12-27 20:07 by amaury.forgeotdarc. This issue is now closed.

Files
File name Uploaded Description Edit
trunk_clearfreelists.patch christian.heimes, 2008-02-06 14:48
Messages (3)
msg62097 - (view) Author: Christian Heimes (christian.heimes) * (Python committer) Date: 2008-02-06 14:48
As discussed at
http://permalink.gmane.org/gmane.comp.python.python-3000.devel/11694 the
patch adds several PyName_ClearFreelist() functions and extends
sys._compact_freelists() to clear all free lists.
msg96887 - (view) Author: Ronald Oussoren (ronaldoussoren) * (Python committer) Date: 2009-12-26 11:26
Is patch this still relevant? 

The functionality seems to be present in the trunk and py3k.
msg96919 - (view) Author: Amaury Forgeot d'Arc (amaury.forgeotdarc) * (Python committer) Date: 2009-12-27 20:07
Indeed, r60797 and r64753 removed sys._compact_freelists, in favor of an 
automatic call to all PyXxx_ClearFreelist() during the collection of the 
highest generation.
History
Date User Action Args
2009-12-27 20:07:08amaury.forgeotdarcsetstatus: open -> closed

nosy: + amaury.forgeotdarc
messages: + msg96919

resolution: out of date
2009-12-26 11:26:41ronaldoussorensetnosy: + ronaldoussoren
messages: + msg96887
2008-02-06 14:48:06christian.heimescreate